aboutsummaryrefslogtreecommitdiff
path: root/share/templater/wtfpl
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2017-10-31 17:23:15 -0200
committerSilvio Rhatto <rhatto@riseup.net>2017-10-31 17:23:15 -0200
commit82e6bce4ea8fc61e99f6eb32dc12c470b93dccd4 (patch)
tree4b81210f80e8a3e85a1d65b01beb67f92a727066 /share/templater/wtfpl
parent8e83eb20f8841022cf9a221f2e8447cdba1f7270 (diff)
downloadtemplater-82e6bce4ea8fc61e99f6eb32dc12c470b93dccd4.tar.gz
templater-82e6bce4ea8fc61e99f6eb32dc12c470b93dccd4.tar.bz2
New module format
Diffstat (limited to 'share/templater/wtfpl')
-rw-r--r--share/templater/wtfpl/description1
-rw-r--r--share/templater/wtfpl/files/LICENSE (renamed from share/templater/wtfpl/LICENSE)0
-rwxr-xr-xshare/templater/wtfpl/setup24
3 files changed, 25 insertions, 0 deletions
diff --git a/share/templater/wtfpl/description b/share/templater/wtfpl/description
new file mode 100644
index 0000000..6ba7d4a
--- /dev/null
+++ b/share/templater/wtfpl/description
@@ -0,0 +1 @@
+Do What The Fuck You Want To Public License
diff --git a/share/templater/wtfpl/LICENSE b/share/templater/wtfpl/files/LICENSE
index ee7d6a5..ee7d6a5 100644
--- a/share/templater/wtfpl/LICENSE
+++ b/share/templater/wtfpl/files/LICENSE
diff --git a/share/templater/wtfpl/setup b/share/templater/wtfpl/setup
new file mode 100755
index 0000000..431763d
--- /dev/null
+++ b/share/templater/wtfpl/setup
@@ -0,0 +1,24 @@
+#!/bin/bash
+#
+# WTFPL templater module.
+#
+
+# Parameters
+SHARE="$1"
+PROJECT="`pwd`"
+
+# Include basic functions
+source $SHARE/templater/functions || exit 1
+
+# Do What the Fuck You Want to Public License - WTFPL
+function templater_wtfpl {
+ if [ ! -e "LICENSE" ]; then
+ __templater_echo "Setting up Do What the Fuck You Want Public License..."
+ cp $SHARE/wtfpl/files/LICENSE .
+ else
+ __templater_echo "LICENSE already set"
+ fi
+}
+
+# Dispatch
+templater_wtfpl